On 10 September 2016 at 19:15, Andreas Beckmann <a...@debian.org> wrote:
> CUDA 7.5 does not work with GCC 6 and as someone reported the
> CUDA 8 beta doesn't either.
> This time it's not sufficient to patch a compiler version check in some
> header file, it simply doesn't work afterwards.

I tried building the CUDA 8 samples with GCC 6 with the released
nvidia-cuda-toolkit 8.0.44-0ubuntu1 in Yakkety.
I made minor changes to the following files in order to use gcc/g++ -6
instead of -5:

/usr/lib/nvidia-cuda-toolkit/bin/gcc
/usr/lib/nvidia-cuda-toolkit/bin/g++
/usr/include/host_config.h

The first sample failed with the following errors, and many more:

/usr/lib/gcc/x86_64-linux-gnu/6/include/stddef.h(436): error:
identifier "nullptr" is undefined
/usr/lib/gcc/x86_64-linux-gnu/6/include/stddef.h(436): error: expected a ";"
/usr/include/x86_64-linux-gnu/c++/6/bits/c++config.h(205): error: expected a ";"
/usr/include/c++/6/exception(63): error: expected a ";"
...

The samples did build fine with GCC 5.  Is keeping GCC 5 around for
Stretch a possibility?

Reply via email to